complexType "ProtectionTerms"

Namespace: | http://www.fpml.org/FpML-5/reporting
Content: | complex, 1 attribute, 4 elements
Defined: | globally in fpml-cd-5-3.xsd; see XML source
Includes: | definitions of 1 attribute, 4 elements
Used: | at 2 locations

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
| >
Content: | calculationAmount?, creditEvents?, obligations?, floatingAmountEvents?
</...>

Content Model Elements (4):

  calculationAmount (defined in ProtectionTerms complexType), creditEvents (defined in ProtectionTerms complexType), | floatingAmountEvents, obligations (defined in ProtectionTerms complexType)

All Direct / Indirect Based Elements (2):

  protectionTerms (defined in CreditDefaultSwap complexType),
  protectionTerms (defined in LimitedCreditDefaultSwap complexType)

Known Usage Locations

- As direct type of elements (2):
  protectionTerms (defined in CreditDefaultSwap complexType),
  protectionTerms (defined in LimitedCreditDefaultSwap complexType)

XML Source (w/o annotations (4); see within schema source)

<xsd:complexType name="ProtectionTerms"> <xsd:sequence> <xsd:element minOccurs="0" name="calculationAmount" type="Money"/> <xsd:element minOccurs="0" name="creditEvents" type="CreditEvents"/> <xsd:element minOccurs="0" name="obligations" type="Obligations"/> <xsd:element minOccurs="0" name="floatingAmountEvents" type="FloatingAmountEvents"/> </xsd:sequence> <xsd:attribute name="id" type="xsd:ID" use="optional"/> </xsd:complexType>

Attribute Detail (all declarations; defined within this component only; 1/1)
id

  Type: | xsd:ID, predefined
  Use: | optional

  XML Source (see within schema source)

  <xsd:attribute name="id" type="xsd:ID" use="optional"/>

Content Element Detail (all declarations; defined within this component only; 4/4)
calculationAmount

  Type: | Money, complex content

  The notional amount of protection coverage. ISDA 2003 Term: Floating Rate Payer Calculation Amount
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="calculationAmount" type="Money"/>

creditEvents

  Type: | CreditEvents, complex content

  This element contains all the ISDA terms relating to credit events.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="creditEvents" type="CreditEvents"/>

floatingAmountEvents

  Type: | FloatingAmountEvents, complex content

  This element contains the ISDA terms relating to the floating rate payment events and the implied additional fixed payments, applicable to the credit derivatives transactions on mortgage-backed securities with pay-as-you-go or physical settlement.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="floatingAmountEvents" type="FloatingAmountEvents"/>

obligations

  Type: | Obligations, complex content

  The underlying obligations of the reference entity on which you are buying or selling protection. The credit events Failure to Pay, Obligation Acceleration, Obligation Default, Restructuring, Repudiation/Moratorium are defined with respect to these obligations. ISDA 2003 Term:
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="obligations" type="Obligations"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.